NX Open C++ Reference Guide
|
Represents a @link Annotations::OffsetCenterPoint Annotations::OffsetCenterPoint@endlink builder <br> To create a new instance of this class, use @link Annotations::OffsetCenterPointCollection::CreateOffsetCenterPointBuilder Annotations::OffsetCenterPointCollection::CreateOffsetCenterPointBuilder @endlink <br>
Default values. More...
Public Types | |
enum | Display { DisplayCenterPoint, DisplayCenterLine, DisplayCenterLineWithExtension } |
the valid types of display styles More... | |
enum | Offset { OffsetHorizontalDistanceFromArc, OffsetHorizontalDistanceFromCenter, OffsetHorizontalDistanceByPosition, OffsetVerticalDistanceFromArc, OffsetVerticalDistanceFromCenter, OffsetVerticalDistanceByPosition } |
the valid offset method types More... | |
enum | Thickness { ThicknessThin, ThicknessNormal, ThicknessThick, ThicknessOne = 6, ThicknessTwo, ThicknessThree, ThicknessFour, ThicknessFive, ThicknessSix, ThicknessSeven, ThicknessEight, ThicknessNine } |
the valid types of offset center point thickness More... | |
Public Member Functions | |
double | CenterCross () |
Returns the center cross size Created in NX6.0.0. | |
NXOpen::NXColor * | Color () |
Returns the color Created in NX6.0.0. | |
NXOpen::Annotations::OffsetCenterPointBuilder::Display | DisplayStyle () |
Returns the display style Created in NX6.0.0. | |
double | Distance () |
Returns the offset distance, valid for all offset method types except those by position Created in NX6.0.0. | |
double | Extension () |
Returns the extension Created in NX6.0.0. | |
double | Gap () |
Returns the gap Created in NX6.0.0. | |
NXOpen::SelectNXObject * | Inherit () |
Returns the inherit Created in NX6.0.0. | |
NXOpen::SelectNXObject * | Location () |
Returns the location Created in NX6.0.0. | |
NXOpen::Annotations::OffsetCenterPointBuilder::Offset | OffsetMethod () |
Returns the offset method Created in NX6.0.0. | |
NXOpen::Point3d | OffsetPosition () |
Returns the offset position, valid for position offset methods Created in NX6.0.0. | |
void | SetCenterCross (double centerCross) |
Sets the center cross size Created in NX6.0.0. | |
void | SetColor (NXOpen::NXColor *color) |
Sets the color Created in NX6.0.0. | |
void | SetDisplayStyle (NXOpen::Annotations::OffsetCenterPointBuilder::Display display) |
Sets the display style Created in NX6.0.0. | |
void | SetDistance (double distance) |
Sets the offset distance, valid for all offset method types except those by position Created in NX6.0.0. | |
void | SetExtension (double extension) |
Sets the extension Created in NX6.0.0. | |
void | SetGap (double gap) |
Sets the gap Created in NX6.0.0. | |
void | SetOffsetMethod (NXOpen::Annotations::OffsetCenterPointBuilder::Offset offsetMethod) |
Sets the offset method Created in NX6.0.0. | |
void | SetOffsetPosition (const NXOpen::Point3d &point) |
Sets the offset position, valid for position offset methods Created in NX6.0.0. | |
void | SetWidth (NXOpen::Annotations::OffsetCenterPointBuilder::Thickness width) |
Sets the width Created in NX6.0.0. | |
NXOpen::Annotations::OffsetCenterPointBuilder::Thickness | Width () |
Returns the width Created in NX6.0.0. | |
Represents a @link Annotations::OffsetCenterPoint Annotations::OffsetCenterPoint@endlink builder <br> To create a new instance of this class, use @link Annotations::OffsetCenterPointCollection::CreateOffsetCenterPointBuilder Annotations::OffsetCenterPointCollection::CreateOffsetCenterPointBuilder @endlink <br>
Default values.
Property | Value |
---|---|
CenterCross |
3.175 (millimeters part), 0.125 (inches part) |
DisplayStyle |
CenterPoint |
Distance |
0 |
Extension |
6.35 (millimeters part), 0.25 (inches part) |
Gap |
1.5875 (millimeters part), 0.0625 (inches part) |
OffsetMethod |
HorizontalDistanceFromArc |
Width |
Thin |
Created in NX6.0.0.
the valid offset method types
the valid types of offset center point thickness
double NXOpen::Annotations::OffsetCenterPointBuilder::CenterCross | ( | ) |
Returns the center cross size
Created in NX6.0.0.
License requirements : None
NXOpen::NXColor* NXOpen::Annotations::OffsetCenterPointBuilder::Color | ( | ) |
Returns the color
Created in NX6.0.0.
License requirements : None
NXOpen::Annotations::OffsetCenterPointBuilder::Display NXOpen::Annotations::OffsetCenterPointBuilder::DisplayStyle | ( | ) |
Returns the display style
Created in NX6.0.0.
License requirements : None
double NXOpen::Annotations::OffsetCenterPointBuilder::Distance | ( | ) |
Returns the offset distance, valid for all offset method types except those by position
Created in NX6.0.0.
License requirements : None
double NXOpen::Annotations::OffsetCenterPointBuilder::Extension | ( | ) |
Returns the extension
Created in NX6.0.0.
License requirements : None
double NXOpen::Annotations::OffsetCenterPointBuilder::Gap | ( | ) |
Returns the gap
Created in NX6.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Annotations::OffsetCenterPointBuilder::Inherit | ( | ) |
Returns the inherit
Created in NX6.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Annotations::OffsetCenterPointBuilder::Location | ( | ) |
Returns the location
Created in NX6.0.0.
License requirements : None
NXOpen::Annotations::OffsetCenterPointBuilder::Offset NXOpen::Annotations::OffsetCenterPointBuilder::OffsetMethod | ( | ) |
Returns the offset method
Created in NX6.0.0.
License requirements : None
NXOpen::Point3d NXOpen::Annotations::OffsetCenterPointBuilder::OffsetPosition | ( | ) |
Returns the offset position, valid for position offset methods
Created in NX6.0.0.
License requirements : None
void NXOpen::Annotations::OffsetCenterPointBuilder::SetCenterCross | ( | double | centerCross | ) |
Sets the center cross size
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
centerCross | centercross |
void NXOpen::Annotations::OffsetCenterPointBuilder::SetColor | ( | NXOpen::NXColor * | color | ) |
Sets the color
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
color | color |
void NXOpen::Annotations::OffsetCenterPointBuilder::SetDisplayStyle | ( | NXOpen::Annotations::OffsetCenterPointBuilder::Display | display | ) |
Sets the display style
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
display | display |
void NXOpen::Annotations::OffsetCenterPointBuilder::SetDistance | ( | double | distance | ) |
Sets the offset distance, valid for all offset method types except those by position
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
distance | distance |
void NXOpen::Annotations::OffsetCenterPointBuilder::SetExtension | ( | double | extension | ) |
Sets the extension
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
extension | extension |
void NXOpen::Annotations::OffsetCenterPointBuilder::SetGap | ( | double | gap | ) |
Sets the gap
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
gap | gap |
void NXOpen::Annotations::OffsetCenterPointBuilder::SetOffsetMethod | ( | NXOpen::Annotations::OffsetCenterPointBuilder::Offset | offsetMethod | ) |
Sets the offset method
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
offsetMethod | offsetmethod |
void NXOpen::Annotations::OffsetCenterPointBuilder::SetOffsetPosition | ( | const NXOpen::Point3d & | point | ) |
Sets the offset position, valid for position offset methods
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
point | point |
void NXOpen::Annotations::OffsetCenterPointBuilder::SetWidth | ( | NXOpen::Annotations::OffsetCenterPointBuilder::Thickness | width | ) |
Sets the width
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
width | width |
NXOpen::Annotations::OffsetCenterPointBuilder::Thickness NXOpen::Annotations::OffsetCenterPointBuilder::Width | ( | ) |
Returns the width
Created in NX6.0.0.
License requirements : None